#
# spec file for package libexif5 (Version 0.5.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libexif5
URL:            http://libexif.sourceforge.net
License:        GPL
Group:          Development/Libraries/C and C++
Summary:        An EXIF Tag Parsing Library for Digital Cameras
Version:        0.5.12
Release:        17.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        libexif-%{version}.tar.bz2
Patch0:         canon-mnote.patch

%description
This library is used to parse EXIF information from JPEGs created by
digital cameras.



Authors:
--------
    Lutz Mller <lutz@users.sourceforge.net>
    Curtis Galloway <curtisg@users.sourceforge.net>

%debug_package
%prep 
%setup -q -n libexif-%{version}
%patch0 -p1

%build
CFLAGS="$CFLAGS $RPM_OPT_FLAGS" 	\
	./configure 			\
		--prefix=/usr		\
		--libdir=%{_libdir}	\
		--disable-static
make

%install
make DESTDIR=${RPM_BUILD_ROOT}/ install-strip
rm -rf $RPM_BUILD_ROOT/usr/include
rm -rf $RPM_BUILD_ROOT/usr/share
rm -rf $RPM_BUILD_ROOT/usr/%_lib/*.so
rm -rf $RPM_BUILD_ROOT/usr/%_lib/pkgconfig
rm -rf $RPM_BUILD_ROOT/usr/%_lib/*.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING 
%{_libdir}/libexif.so.*

%changelog -n libexif5
* Tue Mar 21 2006 - meissner@suse.de
- Use *ds-6 instead of uninitialized doff, like mainline does.
  [#159398]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 19 2004 - meissner@suse.de
- No need for libexif5-devel, everything is ported.
- Just include compat library.
* Thu Jul 29 2004 - meissner@suse.de
- renamed to libexif5 and libexif5-devel, as compat
  mode library.
* Thu Jun 17 2004 - meissner@suse.de
- Handle size of maker notes correctly during save,
  do not overwrite random memory. #41520
* Mon Feb 23 2004 - meissner@suse.de
- downgrade to 0.5.12 release, since the newer ones contains
  ABI changes which have not yet migrated to all the tools.
* Mon Feb 23 2004 - meissner@suse.de
- Upgraded to upstream 0.5.13:
- bugfixes and some new features.
- merged with libmnote
* Wed Oct 15 2003 - meissner@suse.de
- don't build as root.
* Wed Aug 06 2003 - meissner@suse.de
- Upgreaded to upstream 0.5.12:
- fixed endless loops and crashes on invalid exif data.
- translation updates.
* Mon Jul 21 2003 - meissner@suse.de
- Upgraded to upstream 0.5.10.
* Tue May 13 2003 - meissner@suse.de
- Upgraded to current CVS 0.5.9 (just some bugfixes).
- Package translations too.
* Wed Jan 08 2003 - meissner@suse.de
- Upgraded to upstream 0.5.9.
* Mon Dec 02 2002 - meissner@suse.de
- Upgraded to upstream 0.5.7.
* Mon Nov 18 2002 - meissner@suse.de
- Upgraded to 0.5.6 in preparation of gphoto2-2.1.1.
* Wed Jul 24 2002 - meissner@suse.de
- Upgraded to 0.5.3. Do not include static libraries.
* Mon Feb 11 2002 - meissner@suse.de
- make sure we do not include -I/usr/include into the cflags got from pkgconfig
  or we confuse gcc 3 -Wall -Werror
* Mon Feb 04 2002 - meissner@suse.de
- JPEG/EXIF tag parsing library for use by gphoto / gtkam
  (EXIF tags store EXtended InFormation of images taking by digital cameras)
